# Origami Robot Algorithms

[![Python CI](https://github.com/NuwanJ/morph-drive/actions/workflows/python-ci.yml/badge.svg)](https://github.com/NuwanJ/morph-drive/actions/workflows/python-ci.yml)
[![GitHub release](https://img.shields.io/github/v/release/NuwanJ/morph-drive?include_prereleases)](https://github.com/NuwanJ/morph-drive/releases)
[![License](https://img.shields.io/badge/license-Apache%202.0-blue.svg)](https://www.apache.org/licenses/LICENSE-2.0)
[![Python](https://img.shields.io/badge/python-3.13-blue)](https://www.python.org/downloads/release/python-3130/)
[![NumPy](https://img.shields.io/badge/numpy-2.2.6-brightgreen)](https://github.com/NuwanJ/morph-drive)
[![Gymnasium](https://img.shields.io/badge/gymnasium-1.1.1-brightgreen)](https://pypi.org/project/gymnasium/)
[![MuJoCo](https://img.shields.io/badge/mujoco-3.3.2-brightgreen)](https://pypi.org/project/mujoco/)

## About the Project

This Python package offers tools and algorithms for simulating, analyzing, and controlling origami-inspired robotic systems. Origami robotics combines the principles of folding with robotics to create lightweight, scalable, and transformable robots. These systems have applications in fields like surgery, space exploration, manufacturing, and art.

Key functionalities include:

* **Folding Simulation:** Model the kinematics and dynamics of folding/unfolding in virtual environments.
* **Motion Planning:** Plan robot movements to achieve specific configurations.
* **Control Design:** Develop control strategies for stability and precision.
* **Visualization:** Visualize folding sequences and interactions.

The package is modular and extensible, enabling users to integrate custom algorithms and designs.

## Installation

```bash
pip install morph-drive
```

## Getting Started

### Prerequisites

* Python 3.13+
* pip
* MuJoCo (for physics-based simulation)

### Examples

> To be added soon.

## Contributing

We welcome contributions! Follow these steps:

1. **Fork the Repository:** Create a fork on GitHub.
2. **Create a Branch:** Use a descriptive branch name.
3. **Make Changes:** Follow coding standards and add tests.
4. **Run Tests:** Ensure no regressions.
5. **Document Changes:** Update relevant documentation.
6. **Commit and Push:** Use clear commit messages.
7. **Submit a Pull Request:** Provide a detailed description.

### Reporting Bugs or Suggesting Features

* Open an issue on GitHub with a clear description.

## License

Licensed under the Apache License 2.0. See [LICENSE](http://www.apache.org/licenses/LICENSE-2.0) for details.
